summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_build.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-09-23 02:35:05 +0200
committerHolger Levsen <holger@layer-acht.org>2015-09-23 02:35:05 +0200
commite75fc9610601e5e63ffa900f6d8b98b3515906e8 (patch)
tree11876502cd9711d55494d43d985e0fb31a48c962 /bin/reproducible_build.sh
parent516d917282276a07d485974c23fb15f3afb8c52b (diff)
downloadjenkins.debian.net-e75fc9610601e5e63ffa900f6d8b98b3515906e8.tar.xz
reproducible: timeout initial wget of dsc file early (wget default is 15m)
Diffstat (limited to 'bin/reproducible_build.sh')
-rwxr-xr-xbin/reproducible_build.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 827fac54..8109ee07 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -451,7 +451,8 @@ get_source_package() {
RESULT=$?
else
# remote build, no need to download the full source package...
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
+ # timeout wget after 3min
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget || true
RESULT=$?
fi
PARSED_RESULT=$(egrep 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' ${RBUILDLOG} || true)
@@ -467,7 +468,7 @@ get_source_package() {
RESULT=$?
else
# remote build, no need to download the full source package...
- schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs wget || true
+ schroot --directory $TMPDIR -c source:jenkins-reproducible-$SUITE apt-get -- --download-only --only-source --print-uris source ${SRCPACKAGE} | grep \.dsc|cut -d " " -f1|xargs timeout -k 3m 3m wget || true
RESULT=$?
fi
PARSED_RESULT=$(egrep 'E: Failed to fetch.*(Unable to connect to|Connection failed|Size mismatch|Cannot initiate the connection to|Bad Gateway)' ${RBUILDLOG} || true)